<?php

require_once 'vendor/autoload.php';

use DI\ContainerBuilder;
use Emulator\Core\Logging\Logger;
use Emulator\HabboEnvironment;

$containerBuilder = new ContainerBuilder();
$containerBuilder->useAutowiring(true);
$containerBuilder->enableCompilation(dirname(__DIR__, 1) . '/var/cache/php-di');

try {
    $container = $containerBuilder->build();
    $container->get(HabboEnvironment::class)->initialize();
} catch (Exception $ex) {
    Logger::fatal($ex->getTraceAsString());
}