<?php

namespace Emulator\Core\Logging;

class Logger {
    private const array colorCodes = [
        'r' => 31,
        'b' => 34
    ];

    public static function log(LogLevel $level, string $text): void {
        if (preg_match_all('/\[([a-z]{1,2})]/', $text, $matches)) {
            foreach ($matches[1] as $code) {
                $colorCode = self::colorCodes[$code];
                $text = str_replace(["[$code]", "[/$code]"], ["\033[{$colorCode}m", "\033[0m"], $text);
            }
        }

        echo "[$level->name] $text" . PHP_EOL;
    }

    public static function debug(string $text): void {
        self::log(LogLevel::Debug, $text);
    }

    public static function info(string $text): void {
        self::log(LogLevel::Info, $text);
    }

    public static function warn(string $text): void {
        self::log(LogLevel::Warn, $text);
    }

    public static function fatal(string $text): void {
        self::log(LogLevel::Fatal, $text);
    }
}