<?php

namespace Emulator;

use Emulator\Core\Logging\Logger;
use Emulator\Messages\MessageHandler;
use Emulator\Network\Game\GameNetworkServer;

readonly class HabboEnvironment {
    public function __construct(private MessageHandler $messageHandler, private GameNetworkServer $gameNetworkServer) {
    }

    public function initialize(): void {
        Logger::info("Starting up [b]HabboEmulator[/b] (PHP Edition) for [r]$_SERVER[USER][/r]");

        $this->messageHandler->initialize();

        $this->gameNetworkServer->start(2096);
    }
}