<?php

namespace Emulator\Messages\Incoming;

enum Header : int
{
    case AchievementList = 219;
    case Authentication = -1;
    case BotConfiguration = 1986;
    case BotPickup = 3323;
    case BotPlace = 1592;
    case BotSkillSave = 2624;
    case GetClubOffers = 3285;
    case GetClubGiftInfo = 487;
    case GetCatalogIndex = 1195;
    case GetCatalogPage = 412;
    case CatalogPurchase = 3492;
    case CatalogPurchaseGift = 1411;
    case GetProductOffer = 2594;
    case ClientLatency = 295;
    case ClientLatencyMeasure = 96;
    case ClientPolicy = 26979;
    case ClientPong = 2596;
    case ClientToolbarToggle = 2313;
    case ClientVariables = 1053;
    case GetCurrentTimingCode = 2912;
    case DesktopView = 105;
    case GetBundleDiscountRuleset = 223;
    case EventTracker = 3457;
    case FindNewFriends = 516;
    case FurnitureAliases = 3898;
    case FurnitureFloorUpdate = 248;
    case FurnitureMultistate = 99;
    case FurniturePickup = 3456;
    case FurniturePlace = 1258;
    case FurniturePostitPlace = 2248;
    case FurniturePostitSaveStickyPole = 3283;
    case FurnitureRandomstate = 3617;
    case FurnitureWallMultistate = 210;
    case FurnitureWallUpdate = 168;
    case GamesInit = 2914;
    case GamesList = 741;
    case Acceptgameinvite = 3802;
    case Gameunloadedmessage = 3207;
    case Getgameachievementsmessage = 2399;
    case Getgamestatusmessage = 3171;
    case Getusergameachievementsmessage = 389;
    case Joinqueuemessage = 1458;
    case Leavequeuemessage = 2384;
    case Resetresolutionachievementmessage = 3144;
    case Getweeklygamerewardwinners = 1054;
    case Game2Getaccountgamestatusmessage = 11;
    case Game2Checkgamedirectorystatusmessage = 3259;
    case Game2Exitgamemessage = 1445;
    case Game2Gamechatmessage = 2502;
    case Game2Loadstagereadymessage = 2415;
    case Game2Playagainmessage = 3196;
    case Game2Requestfullstatusupdatemessage = 1598;
    case Game2Getweeklyfriendsleaderboard = 1232;
    case Game2Getweeklyleaderboard = 2565;
    case GetGiftWrappingConfig = 418;
    case GroupAdminAdd = 2894;
    case GroupAdminRemove = 722;
    case GroupCreateOptions = 798;
    case GroupFavorite = 3549;
    case GetForumStats = 3149;
    case GetForumThreads = 873;
    case GetForumsList = 436;
    case GetForumMessages = 232;
    case GetForumThread = 3900;
    case GetUnreadForumsCount = 2908;
    case ForumModerateMessage = 286;
    case ForumModerateThread = 1397;
    case ForumPostMessage = 3529;
    case UpdateForumReadMarker = 1855;
    case UpdateForumSettings = 2214;
    case ForumUpdateThread = 3045;
    case GroupInfo = 2991;
    case GroupDelete = 1134;
    case GroupMemberRemoveConfirm = 3593;
    case GroupMemberRemove = 593;
    case GroupMembers = 312;
    case GroupMemberships = 367;
    case GroupRequest = 998;
    case GroupRequestAccept = 3386;
    case GroupRequestDecline = 1894;
    case GroupSettings = 1004;
    case GroupParts = 813;
    case GroupBuy = 230;
    case GroupSaveInformation = 3137;
    case GroupSaveBadge = 1991;
    case GroupSaveColors = 1764;
    case GroupSavePreferences = 3435;
    case GroupBadges = 21;
    case GroupUnblockMember = 2864;
    case GetBadgePointsLimits = 1371;
    case Requestabadge = 3077;
    case Getisbadgerequestfulfilled = 1364;
    case ItemClothingRedeem = 3374;
    case ItemColorWheelClick = 2144;
    case ItemDiceClick = 1990;
    case ItemDiceClose = 1533;
    case ItemDimmerSave = 1648;
    case ItemDimmerSettings = 2813;
    case ItemDimmerToggle = 2296;
    case ItemExchangeRedeem = 3115;
    case ItemPaint = 711;
    case SetObjectData = 3608;
    case ItemStackHelper = 3839;
    case MarketplaceConfig = 2597;
    case AcceptFriend = 137;
    case MessengerChat = 3567;
    case DeclineFriend = 2890;
    case FollowFriend = 3997;
    case MessengerFriends = 1523;
    case MessengerInit = 2781;
    case MessengerRelationships = 2138;
    case SetRelationshipStatus = 3768;
    case RemoveFriend = 1689;
    case RequestFriend = 3157;
    case GetFriendRequests = 2448;
    case SendRoomInvite = 1276;
    case HabboSearch = 1210;
    case FriendListUpdate = 1419;
    case ModToolUserInfo = 3295;
    case GetUserFlatCats = 3027;
    case NavigatorInit = 2110;
    case NavigatorSearch = 249;
    case NavigatorSearchClose = 1834;
    case NavigatorSearchOpen = 637;
    case NavigatorSearchSave = 2226;
    case GetUserEventCats = 1782;
    case NavigatorSettingsSave = 3159;
    case NavigatorCategoryListMode = 1202;
    case NavigatorDeleteSavedSearch = 1954;
    case PetInfo = 2934;
    case PetPickup = 1581;
    case PetPlace = 2647;
    case PetRespect = 3202;
    case PetRide = 1036;
    case PetMove = 3449;
    case PetOpenPackage = 3698;
    case PetSelected = 549;
    case PetsBreed = 1638;
    case PetCancelBreeding = 2713;
    case PetConfirmBreeding = 3382;
    case GetPetTrainingPanel = 2161;
    case RecyclerPrizes = 398;
    case RecyclerStatus = 1342;
    case RecyclerItems = 2771;
    case ReleaseVersion = 4000;
    case CallForHelp = 1691;
    case RoomAmbassadorAlert = 2996;
    case RoomBanGive = 1477;
    case RoomBanList = 2267;
    case RoomBanRemove = 992;
    case RoomCreate = 2752;
    case RoomDelete = 532;
    case RoomDoorbell = 1644;
    case RoomEnter = 2312;
    case RoomFavorite = 3817;
    case RoomFavoriteRemove = 309;
    case CanCreateRoom = 2128;
    case CancelRoomEvent = 2725;
    case EditRoomEvent = 3991;
    case CompetitionRoomSearch = 433;
    case ForwardToRandomPromotedRoom = 10;
    case ForwardToSomeRoom = 1703;
    case GetCategoriesWithUserCount = 3782;
    case GetGuestRoom = 2230;
    case GetOfficialRooms = 1229;
    case GetPopularRoomTags = 826;
    case GuildBaseSearch = 2930;
    case MyFavouriteRoomsSearch = 2578;
    case MyFrequentRoomHistorySearch = 1002;
    case MyFriendsRoomSearch = 2266;
    case MyGuildBasesSearch = 39;
    case MyRecommendedRooms = 2537;
    case MyRoomHistorySearch = 2264;
    case MyRoomRightsSearch = 272;
    case MyRoomsSearch = 2277;
    case PopularRoomsSearch = 2758;
    case RoomAdEventTabClicked = 2412;
    case RoomAdEventTabViewed = 2668;
    case RoomAdSearch = 2809;
    case RoomTextSearch = 3943;
    case RoomsWhereMyFriendsAre = 1786;
    case RoomsWithHighestScoreSearch = 2939;
    case SetRoomSessionTags = 3305;
    case UpdateRoomThumbnail = 2468;
    case RoomKick = 1320;
    case RoomLike = 3582;
    case RoomModel = 2300;
    case GetOccupiedTiles = 1687;
    case GetRoomEntryTile = 3559;
    case RoomModelSave = 875;
    case RoomMute = 3637;
    case RoomMuteUser = 3485;
    case RoomRightsGive = 808;
    case RoomRightsList = 3385;
    case RoomRightsRemove = 2064;
    case RoomRightsRemoveAll = 2683;
    case RoomRightsRemoveOwn = 3182;
    case RoomSettings = 3129;
    case RoomSettingsSave = 1969;
    case RoomSettingsUpdateRoomCategoryAndTrade = 1265;
    case RoomStaffPick = 1918;
    case RoomFilterWords = 1911;
    case RoomFilterWordsModify = 3001;
    case Mysteryboxwaitingcanceledmessage = 2012;
    case MysteryboxOpenTrophy = 3074;
    case SecurityMachine = 2490;
    case SecurityTicket = 2419;
    case Trade = 1481;
    case TradeAccept = 3863;
    case TradeCancel = 2341;
    case TradeClose = 2551;
    case TradeConfirm = 2760;
    case TradeItem = 3107;
    case TradeItemRemove = 3845;
    case TradeItems = 1263;
    case TradeUnaccept = 1444;
    case UnitAction = 2456;
    case UnitChat = 1314;
    case UnitChatShout = 2085;
    case UnitChatWhisper = 1543;
    case UnitDance = 2080;
    case UnitDropHandItem = 2814;
    case UnitGiveHanditem = 2941;
    case UnitLook = 3301;
    case UnitPosture = 2235;
    case UnitSign = 1975;
    case UnitTyping = 1597;
    case UnitTypingStop = 1474;
    case UnitWalk = 3320;
    case UserBadges = 2769;
    case UserBadgesCurrent = 2091;
    case UserBadgesCurrentUpdate = 644;
    case UserBots = 3848;
    case UserCurrency = 273;
    case UserEffectActivate = 2959;
    case UserEffectEnable = 1752;
    case UserFigure = 2730;
    case UserFurniture = 3150; // sent when in room
    case Requestfurniinventorywhennotinroom = 3500; // sent when not in room
    case UserHomeRoom = 1740;
    case UserInfo = 357;
    case UserMotto = 2228;
    case UserIgnored = 3878;
    case UserPets = 3095;
    case UserProfile = 3265;
    case UserProfileByName = 2249;
    case UserRespect = 2694;
    case GetSoundSettings = 2388;
    case UserSettingsCamera = 1461;
    case UserSettingsChatStyle = 1030;
    case UserSettingsInvites = 1086;
    case UserSettingsOldChat = 1262;
    case UserSettingsVolume = 1367;
    case UserSubscription = 3166;
    case GetWardrobe = 2742;
    case SaveWardrobeOutfit = 800;
    case UserTags = 17;
    case PeerUsersClassification = 1160;
    case UserClassification = 2285;
    case VisitUser = 2970;
    case WiredActionSave = 2281;
    case WiredApplySnapshot = 3373;
    case WiredConditionSave = 3203;
    case WiredOpen = 768;
    case WiredTriggerSave = 1520;
    case GetItemData = 3964;
    case OneWayDoorClick = 2765;
    case RemoveWallItem = 3336;
    case SetItemData = 3666;
    case CatalogRedeemVoucher = 339;
    case RoomTonerApply = 2880;
    case FriendFurniConfirmLock = 3775;
    case MannequinSaveName = 2850;
    case MannequinSaveLook = 2209;
    case PresentOpenPresent = 3558;
    case CatalogSelectVipGift = 2276;
    case UserIgnoreId = 3314;
    case UserIgnore = 1117;
    case UserUnignore = 2061;
    case ModtoolRequestRoomInfo = 707;
    case ModtoolChangeRoomSettings = 3260;
    case ModtoolRequestUserChatlog = 1391;
    case ModtoolRequestRoomChatlog = 2587;
    case ModtoolSanctionAlert = 229;
    case ModtoolSanctionBan = 2766;
    case ModtoolSanctionKick = 2582;
    case ModtoolSanctionTradelock = 3742;
    case ModtoolAlertevent = 1840;
    case ModtoolSanctionMute = 1945;
    case ModtoolRequestUserRooms = 3526;
    case ModtoolRoomAlert = 3842;
    case ModtoolPreferences = 31;
    case CloseIssueDefaultAction = 2717;
    case CloseIssues = 2067;
    case DefaultSanction = 1681;
    case GetCfhChatlog = 211;
    case ModtoolSanction = 1392;
    case PickIssues = 15;
    case ReleaseIssues = 1572;
    case ConvertGlobalRoomId = 314;
    case RequestSellItem = 848;
    case RequestMarketplaceItemStats = 3288;
    case MarketplaceSellItem = 3447;
    case MarketplaceRequestOwnItems = 2105;
    case MarketplaceTakeBackItem = 434;
    case MarketplaceRedeemCredits = 2650;
    case MarketplaceRequestOffers = 2407;
    case MarketplaceBuyOffer = 1603;
    case MarketplaceBuyTokens = 1866;
    case CatalogRequesetPetBreeds = 1756;
    case ApproveName = 2109;
    case UnitGiveHanditemPet = 2768;
    case PetSupplement = 749;
    case FurnitureGroupInfo = 2651;
    case AchievementResolutionOpen = 359;
    case UsePetProduct = 1328;
    case RemovePetSaddle = 186;
    case TogglePetRiding = 1472;
    case TogglePetBreeding = 3379;
    case UnseenResetCategory = 3493;
    case UnseenResetItems = 2343;
    case CommunityGoalVoteComposer = 3536;
    case GetPromoArticles = 1827;
    case AcceptQuest = 3604;
    case ActivateQuest = 793;
    case CancelQuest = 3133;
    case FriendRequestQuestComplete = 1148;
    case GetCommunityGoalEarnedPrizes = 2688;
    case GetCommunityGoalHallOfFame = 2167;
    case GetCommunityGoalProgress = 1145;
    case GetConcurrentUsersGoalProgress = 1343;
    case GetConcurrentUsersReward = 3872;
    case GetDailyQuest = 2486;
    case GetQuests = 3333;
    case GetSeasonalQuestsOnly = 1190;
    case OpenQuestTracker = 2750;
    case RedeemCommunityGoalPrize = 90;
    case RejectQuest = 2397;
    case StartCampaign = 1697;
    case GetBonusRareInfo = 957;
    case Craft = 3591;
    case CraftSecret = 1251;
    case GetCraftableProducts = 633;
    case GetCraftingRecipe = 1173;
    case GetCraftingRecipesAvailable = 3086;
    case PhotoCompetition = 3959;
    case PublishPhoto = 2068;
    case PurchasePhoto = 2408;
    case RenderRoom = 3226;
    case RenderRoomThumbnail = 1982;
    case RequestCameraConfiguration = 796;
    case AddJukeboxDisk = 753;
    case GetJukeboxPlaylist = 1435;
    case GetNowPlaying = 1325;
    case GetOfficialSongId = 3189;
    case GetSongInfo = 3082;
    case GetSoundMachinePlaylist = 3498;
    case GetUserSongDisks = 2304;
    case RemoveJukeboxDisk = 3050;
    case InterstitialShown = 1109;
    case GetInterstitial = 2519;
    case ChangeUsername = 2977;
    case CheckUsername = 3950;
    case OpenCampaignCalendarDoorStaff = 3889;
    case OpenCampaignCalendarDoor = 2257;
    case BuildersClubPlaceRoomItem = 1051;
    case BuildersClubPlaceWallItem = 462;
    case BuildersClubQueryFurniCount = 2529;
    case GetCatalogPageExpiration = 742;
    case GetCatalogPageWithEarliestExp = 3135;
    case GetDirectClubBuyAvailable = 801;
    case GetHabboBasicMembershipExtendOffer = 603;
    case GetHabboClubExtendOffer = 2462;
    case GetIsOfferGiftable = 1347;
    case GetLimitedOfferAppearingNext = 410;
    case GetNextTargetedOffer = 596;
    case GetRoomAdPurchaseInfo = 1075;
    case GetSeasonalCalendarDailyOffer = 3257;
    case GetTargetedOffer = 2487;
    case MarkCatalogNewAdditionsPageOpened = 2150;
    case PurchaseBasicMembershipExtension = 2735;
    case PurchaseRoomAd = 777;
    case PurchaseTargetedOffer = 1826;
    case PurchaseVipMembershipExtension = 3407;
    case RoomAdPurchaseInitiated = 2283;
    case SetTargettedOfferState = 2041;
    case ShopTargetedOfferViewed = 3483;
    case HelperTalentTrack = 196;
    case TalentTrackGetLevel = 2127;
    case ForwardToACompetitionRoom = 172;
    case ForwardToASubmittableRoom = 1450;
    case ForwardToRandomCompetitionRoom = 865;
    case GetIsUserPartOfCompetition = 2077;
    case GetSecondsUntil = 271;
    case RoomCompetitionInit = 1334;
    case SubmitRoomToCompetition = 2595;
    case VoteForRoom = 143;
    case GetGift = 2436;
    case ResetPhoneNumberState = 2741;
    case SetPhoneNumberVerificationStatus = 1379;
    case TryPhoneNumber = 790;
    case VerifyCode = 2721;
    case ControlYoutubeDisplayPlayback = 3005;
    case GetYoutubeDisplayStatus = 336;
    case SetYoutubeDisplayPlaylist = 2069;
    case GoToFlat = 685;
    case ChangeQueue = 3093;
    case CallForHelpFromForumMessage = 1412;
    case CallForHelpFromForumThread = 534;
    case CallForHelpFromIm = 2950;
    case CallForHelpFromPhoto = 2492;
    case CallForHelpFromSelfie = 2755;
    case ChatReviewGuideDecides = 3365;
    case ChatReviewGuideDetached = 2501;
    case ChatReviewGuideVote = 3961;
    case ChatReviewSessionCreate = 3060;
    case DeletePendingCallsForHelp = 3605;
    case GetCfhStatus = 2746;
    case GetFaqCategory = 3445;
    case GetFaqText = 1849;
    case GetGuideReportingStatus = 3786;
    case GetPendingCallsForHelp = 3267;
    case GetQuizQuestions = 1296;
    case GuideSessionCreate = 3338;
    case GuideSessionFeedback = 477;
    case GuideSessionGetRequesterRoom = 1052;
    case GuideSessionGuideDecides = 1424;
    case GuideSessionInviteRequester = 234;
    case GuideSessionIsTyping = 519;
    case GuideSessionMessage = 3899;
    case GuideSessionOnDutyUpdate = 1922;
    case GuideSessionReport = 3969;
    case GuideSessionRequesterCancels = 291;
    case GuideSessionResolved = 887;
    case PostQuizAnswers = 3720;
    case SearchFaqs = 2031;
    case PollAnswer = 3505;
    case PollReject = 1773;
    case PollStart = 109;
    case PollVoteCounter = 6200;
    case Disconnect = 2445;
    case ScrGetKickbackInfo = 869;
    case CompostPlant = 3835;
    case HarvestPet = 1521;
    case SetClothingChangeData = 924;
    case GroupUnfavorite = 1820;
    case NewUserExperienceGetGifts = 1822;
    case NewUserExperienceScriptProceed = 1299;
    case HandshakeInitDiffie = 3110;
    case HandshakeCompleteDiffie = 773;
    case WelcomeOpenGift = 2638;
    case WelcomeGiftChangeEmail = 66;
    case EmailGetStatus = 2557;
    case EmailChange = 3965;
    case ApproveAllMembershipRequests = 882;
    case RentableSpaceCancelRent = 1667;
    case RentableSpaceRent = 2946;
    case RentableSpaceStatus = 872;
    case TrackingPerformanceLog = 3230;
    case TrackingLagWarningReport = 3847;
    case RoomDirectoryRoomNetworkOpenConnection = 3736;
    case RentableExtendRentOrBuyoutStripItem = 2115;
    case RentableExtendRentOrBuyoutFurni = 1071;
    case RentableGetRentOrBuyoutOffer = 2518;
}
