<?php

namespace Emulator\Messages\Outgoing;

use Emulator\Encoding\ByteEncoding;

class ServerMessage {
    private array $packet = [];

    function __construct(int $header) {
        $this->writeInt16($header);
    }

    public function writeInt16(int $value): void {
        $this->packet = array_merge($this->packet, ByteEncoding::int16ToArray($value));
    }

    public function writeInt32(int $value): void {
        $this->packet = array_merge($this->packet, ByteEncoding::int32ToArray($value));
    }

    public function writeBoolean(bool $value): void {
        $this->packet[] = ($value ? 1 : 0);
    }

    public function writeString(string $value): void {
        $this->writeInt16(strlen($value));
        $this->packet = array_merge($this->packet, unpack('C*', $value));
    }

    public function getPacket(): array {
        return $this->packet;
    }
}